import os
import setuptools

version = '0.0.6'

if os.environ.get('CIRCLECI') == 'true':
    # CircleCI build script will use sed to insert the circle CI build number
    version = version + '.231'

setuptools.setup(
    name="max-ard",
    version=version,
    author="Marc Pfister",
    author_email='marc.pfister@maxar.com',
    description="ARD SDK and CLI tools",
    install_requires= [
        'maxar-canvas-grid>=0.0.12',
        'click',
        'pyjwt',
        's3fs>=0.5.0',
        'boto3',
        'shapely',
        'pydantic',
        'backports.cached-property; python_version < "3.8"',
        'requests',
        'requests_oauthlib', 
    ],
    extras_require={
        "full":  [
            'rasterio',
            'fiona', 
        ],
    },
    keywords='ARD Canvas COG TDG',
    packages=setuptools.find_packages(),
    entry_points='''[console_scripts]
    max-ard = max_ard.commands.command:max_ard
    ''',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.8',
    ],
    url='https://ard.maxar.com/sdk-docs/',
)
